%define pname     skinsoppalusikka
%define vardir    %(vdr-config --vardir    2>/dev/null || echo ERROR)
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)


Name:           vdr-%{pname}
Version:        1.6.3
Release:        3
Summary:        The "Soppalusikka" skin for VDR

Group:          Multimedia/VDR
License:        GPLv2+
URL:            http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/
Source0:        http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/files/%{name}-%{version}.tgz
Source200: vdr-skinsoppalusikka.runvdr
Source201: logos-0.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0 gettext
Requires:       vdr(abi) = %{apiver}

%description
The "Soppalusikka" is a standalone skin providing the good old "ElchiAIO"
looks.

%prep
%setup -q -n %{pname}-%{version}


%build
# build the plugin
make libvdr-%{pname}.so %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr \
    STRIP=/bin/true


%install
rm -rf $RPM_BUILD_ROOT
# "build" the translations
make i18n LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale
# install the plugin and the config file
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/skinsoppalusikka
# install the themes
install -dm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/themes
install -pm 755 themes/*.theme $RPM_BUILD_ROOT%_sysconfdir/vdr/themes
install -dpm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/skinsoppalusikka
tar xvfj %{SOURCE201} -C $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/skinsoppalusikka

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable skinsoppalusikka >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable skinsoppalusikka >/dev/null 2>&1
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_sysconfdir/vdr/themes/soppalusikka-*.theme
#%_sysconfdir/vdr/plugins/
/etc/vdr/plugins/skinsoppalusikka/logos/
%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.3-3
- rebuild against vdr-1.6.0-14
* Tue Dec 02 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.3-2
- added channel logos
* Tue Dec 02 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.3-1
- Initial release
